# Uses of Class
net.sourceforge.jiu.data.Palette

Packages that use Palette
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.codecs.tiff
net.sourceforge.jiu.color
net.sourceforge.jiu.color.io
net.sourceforge.jiu.color.quantization
net.sourceforge.jiu.data

## Uses of Palette in net.sourceforge.jiu.codecs

Fields in net.sourceforge.jiu.codecs declared as Palette
Modifier and Type
Field
Description
`private Palette`
BMPCodec.`palette`
`private Palette`
IFFCodec.`palette`
`private Palette`
PalmCodec.`palette`
`private Palette`
PNGCodec.`palette`
`private Palette`
PSDCodec.`palette`
`private Palette`
RASCodec.`palette`
Methods in net.sourceforge.jiu.codecs that return Palette
Modifier and Type
Method
Description
`private static Palette`
PalmCodec.`createPalette(short[][] data)`
`static Palette`
PalmCodec.`createSystem2BitGrayscalePalette()`
Creates the 2 bits per pixel Palm system palette with grayscale values.
`static Palette`
PalmCodec.`createSystem4BitColorPalette()`
Creates the 4 bits per pixel Palm system palette with color values.
`static Palette`
PalmCodec.`createSystem4BitGrayscalePalette()`
Creates the 4 bits per pixel Palm system palette with grayscale values.
`static Palette`
PalmCodec.`createSystem8BitPalette()`
Creates the 8 bits per pixel Palm system palette.
`private Palette`
RASCodec.`readPalette()`
Methods in net.sourceforge.jiu.codecs with parameters of type Palette
Modifier and Type
Method
Description
`private static boolean`
PalmCodec.`isEqualPalette(Palette palette, short[][] data)`
`static boolean`
PalmCodec.`isPalmSystemPalette256(Palette palette)`
Returns if the argument palette is the Palm system palette with 256 colors.
`static boolean`
PalmCodec.`isPalmSystemPaletteColor16(Palette palette)`
Returns if the argument palette is the Palm system color palette with 16 entries.
`static boolean`
PalmCodec.`isPalmSystemPaletteGray16(Palette palette)`
Returns if the argument palette is the Palm system grayscale palette with 16 entries.
`static boolean`
PalmCodec.`isPalmSystemPaletteGray4(Palette palette)`
Returns if the argument palette is the Palm system grayscale palette with 4 entries.
`private void`
PalmCodec.`savePalette(DataOutput out, Palette palette)`
`private void`
RASCodec.`savePalette(Palette palette)`

## Uses of Palette in net.sourceforge.jiu.codecs.tiff

Fields in net.sourceforge.jiu.codecs.tiff declared as Palette
Modifier and Type
Field
Description
`private Palette`
TIFFImageFileDirectory.`palette`
Methods in net.sourceforge.jiu.codecs.tiff that return Palette
Modifier and Type
Method
Description
`Palette`
TIFFImageFileDirectory.`getPalette()`

## Uses of Palette in net.sourceforge.jiu.color

Methods in net.sourceforge.jiu.color that return Palette
Modifier and Type
Method
Description
`static Palette`
WebsafePaletteCreator.`create()`
Creates a new palette with the 216 websafe colors.

## Uses of Palette in net.sourceforge.jiu.color.io

Methods in net.sourceforge.jiu.color.io that return Palette
Modifier and Type
Method
Description
`static Palette`
PaletteSerialization.`convertImageToPalette(RGB24Image image)`
Create a palette from the pixels of the argument image.
`static Palette`
PaletteSerialization.`load(File paletteFile)`
Loads a palette from the argument file.
Methods in net.sourceforge.jiu.color.io with parameters of type Palette
Modifier and Type
Method
Description
`static RGB24Image`
PaletteSerialization.`convertPaletteToImage(Palette palette)`
Creates an RGB24Image from the palette entries, each entry becomes a pixel in an image of width 1 and height palette.getNumEntries().
`static void`
PaletteSerialization.`save(Palette palette, File paletteFile)`
Saves the palette to the given file as a PPM image file.

## Uses of Palette in net.sourceforge.jiu.color.quantization

Fields in net.sourceforge.jiu.color.quantization declared as Palette
Modifier and Type
Field
Description
`private Palette`
ArbitraryPaletteQuantizer.`palette`
`private Palette`
MedianCutContourRemoval.`palette`
`private Palette`
OctreeColorQuantizer.`palette`
`private Palette`
PopularityQuantizer.`palette`
Methods in net.sourceforge.jiu.color.quantization that return Palette
Modifier and Type
Method
Description
`Palette`
ArbitraryPaletteQuantizer.`createPalette()`
Returns a copy of the palette that was given to the constructor of this class.
`Palette`
MedianCutQuantizer.`createPalette()`
Creates a palette with the representative colors of all leaf nodes.
`Palette`
OctreeColorQuantizer.`createPalette()`
`Palette`
PopularityQuantizer.`createPalette()`
`Palette`
RGBQuantizer.`createPalette()`
Return a Palette object with the list of colors to be used in the quantization process.
`Palette`
UniformPaletteQuantizer.`createPalette()`
`private Palette`
PopularityQuantizer.`determinePalette()`
Methods in net.sourceforge.jiu.color.quantization with parameters of type Palette
Modifier and Type
Method
Description
`private void`
OctreeColorQuantizer.`initPalette(OctreeNode node, Palette palette)`
Constructors in net.sourceforge.jiu.color.quantization with parameters of type Palette
Modifier
Constructor
Description
``
`ArbitraryPaletteQuantizer(Palette palette)`
Creates a quantizer that will be able to map pixels (or a complete image) to the argument palette.

## Uses of Palette in net.sourceforge.jiu.data

Fields in net.sourceforge.jiu.data declared as Palette
Modifier and Type
Field
Description
`private Palette`
MemoryPaletted8Image.`palette`
This image's palette.
Methods in net.sourceforge.jiu.data that return Palette
Modifier and Type
Method
Description
`Palette`
MemoryPaletted8Image.`getPalette()`
Returns this image's palette.
`Palette`
PalettedImage.`getPalette()`
Gets the palette of this image.
Methods in net.sourceforge.jiu.data with parameters of type Palette
Modifier and Type
Method
Description
`static void`
MemoryPaletted8Image.`checkPalette(Palette palette)`
`void`
MemoryPaletted8Image.`setPalette(Palette palette)`
Sets this image's palette to a new value.
`void`
PalettedImage.`setPalette(Palette palette)`
Sets the palette of this image to the argument palette object.
Constructors in net.sourceforge.jiu.data with parameters of type Palette
Modifier
Constructor
Description
``
`MemoryPaletted8Image(int width, int height, Palette palette)`